## expeyes 4.8.7+repack

=== debian/changelog ===
expeyes (4.8.7+repack-4) unstable; urgency=medium

  * defined a conflict between packages eyes17 and older python-expeyes

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 10 Dec 2020 16:45:11 +0100

expeyes (4.8.7+repack-3) unstable; urgency=medium

  * downgraded dependencies on avr-libc and avrdude to recommendations,
    for package microhope. Maybe so the package expeyes would no longer be
    marked for autoremoval?

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 28 Aug 2020 12:35:38 +0200

expeyes (4.8.7+repack-2) unstable; urgency=medium

  * patched the Makefile to verify whether Makefiles exist
    before calling their make targets, to prevent FTBFS on architecture
    "all"

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 22 Aug 2020 16:31:46 +0200

expeyes (4.8.7+repack-1) unstable; urgency=medium

  * added a dependency microhope --> python3-serial
  * New upstream version 4.8.7+repack: improved initialization of
    the local microhope directory, management of a configuration file.

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 21 Aug 2020 16:54:02 +0200

expeyes (4.8.6+repack-1) experimental; urgency=medium

  * New upstream version 4.8.6+repack
  * new binaries for microhope, which do no longer use libgtk2;
    removed the build-dependency on that library;
    added a build-dependency on wxglade;
    set "Architecture: all" for package microhope;
    #Closes: #967332
  * modification of the path to microhope's local directory:
    ~/microhope --> ~/.local/share/microhope
  * html files in eyesjunior/helphiles are now pre-built

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 20 Aug 2020 16:00:36 +0200

expeyes (4.8.4+repack-3) unstable; urgency=medium

  * replaced "Suggests: phoenix-firmware" by "Suggests: firm-phoenix-ware"
    the reason is documented inside a discussion archived int the mailing list
    debian-live@lists.debian.org, near mid-August.
  * dropped the build-dependency on *avr*, since the firmware is no longer
    issued from this source package

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 15 Aug 2020 19:09:37 +0200

expeyes (4.8.4+repack-2) unstable; urgency=medium

  * it was necessary to make a source-only upload, while the package which
    removes on binary package from its control file was supposed to enter
    the NEW queue

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 10 Aug 2020 23:49:14 +0200

expeyes (4.8.4+repack-1) unstable; urgency=medium

  * new upstream release: provides pre-build html help files
  * cancelled the binary package expeyes-firmware-dev, now suggestions go
    to the new package phoenix-firmware which is in Debian's archive

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 01 Aug 2020 14:47:52 +0200

expeyes (4.8.1+repack-2) unstable; urgency=medium

  * fixed missing file in d/eyes17.install

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 29 Jul 2020 16:53:00 +0200

expeyes (4.8.1+repack-1) unstable; urgency=medium

  * New upstream version 4.8.1+repack; provides a better management of
    screen shots for eyes17.
  * new files installed for microhope
  * defined a build-dependency on debhelper-compat (=12), removed d/compat
  * bumped Standards-Version: 4.5.0

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 29 Jul 2020 16:15:15 +0200

expeyes (4.8.0+repack-1) unstable; urgency=medium

  * New upstream version 4.8.0+repack; adds new features:
    - better export for screenshots
    - screenshots can be exported via a network socket
    - an extension for libreoffice is provided
  * Added one line in d/eyes17.install to create the LibreOffice
    extension at root level.
  * Added Recommends: libreoffice for the package eyes17
  * fixed a bug in eyes17/server.py
  * added a line in d/eyes17.install to take in account eyes17/server.html

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 28 Jul 2020 15:43:35 +0200

expeyes (4.7.9+repack-1) unstable; urgency=medium

  * New upstream version 4.7.9+repack
  * remoed the unnecessary debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 May 2020 20:01:43 +0200

expeyes (4.7.8+repack-1) unstable; urgency=medium

  * New upstream version 4.7.8+repack
  * consider an absolute path to lang/status.txt
  * added lang/status.txt to d/eyes17.install

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 07 May 2020 16:52:15 +0200

expeyes (4.7.7+repack-1) unstable; urgency=medium

  * New upstream version 4.7.7+repack
  * __pycache__ directories are cleaned after the build.
    Closes: #955675
  * New feature : printable screenshots generated automatically; modified
    d/eyes17.install to include the new module
  * The credits help file is no longer missing

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 Apr 2020 16:09:19 +0200

expeyes (4.7.6+repack-1) unstable; urgency=medium

  * added a conflicts clause from eyes17 to eyes17 (<< 4.5.8+dfsg-2)
  * New upstream version 4.7.6+repack

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 29 Mar 2020 15:45:42 +0200

expeyes (4.7.5+repack-1) unstable; urgency=medium

  * New upstream version 4.7.5+repack

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 14 Mar 2020 18:27:47 +0100

expeyes (4.7.4+repack-1) UNRELEASED; urgency=medium

  * New upstream version 4.7.4
  * modified the system to exclude files from the source package
  * added build directories to excludes
  * removed one line, so Files-Ecluded comes first
  * specified another format for d/copyright
  * fixed two excludes
  * attributed some transations to their authors

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 14 Mar 2020 14:48:15 +0100

expeyes (4.7.2-2) unstable; urgency=medium

  * added missing dependencies eyes17 -> python3-serial and
    python3-pyqt5.qtsvg; thanks, Ajith Kumar, for raising the bug.

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 11 Mar 2020 17:39:29 +0100

expeyes (4.7.2-1) unstable; urgency=medium

  * New upstream version: improved debian/rules


