=== debian/changelog ===
expeyes (4.8.8+repack-2) unstable; urgency=medium

  * removed clauses conflicting with modemmanager. Closes: #990489
  * replaced calls to "service" by calls to "invoke-rc.d", thanks to
    Andreas Beckman's hint.

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 01 Jul 2021 10:50:55 +0200

expeyes (4.8.8+repack-1) unstable; urgency=medium

  * new upstream changes
  * removed stale symlinks
  * restored documentation files in the upstream archive
  * made the clean target less agressive

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 26 Apr 2021 15:39:18 +0200

expeyes (4.8.7+repack-5) unstable; urgency=medium

  * included Camaleón's translation for po-debconf files, thanks!
    Closes: #987479
  * added a command in d/rules to remove broken symlinks. Closes: #986480
  * removed python doctrees and .gitignore files from the package
    (warned by lintian)

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 25 Apr 2021 18:41:30 +0200
