=== eyesjunior/requirements.txt ===
#git+https://github.com/bashtage/sphinx-material
sphinx_materialdesign_theme
