=== debian/control ===
--- 
+++ 
@@ -56,8 +56,7 @@
  python3-serial
 Recommends: fonts-lohit-mlym,
  libreoffice
-Conflicts: modemmanager,
- python3-expeyes (<< 4.5.8+dfsg-2),
+Conflicts: python3-expeyes (<< 4.5.8+dfsg-2),
  python-expeyes (<< 4.5.8+dfsg-2),
  eyes17 (<< 4.5.8+dfsg-2)
 Description: hardware & software framework for developing science experiments
@@ -121,8 +120,8 @@
 Architecture: all
 Depends: python3, ${misc:Depends}, ${python3:Depends},
  python3-scipy, python3-serial (>= 2.6), udev
-Conflicts: modemmanager,
- python-expeyes, python3-expeyes (<< 4.3)
+Conflicts: python-expeyes,
+ python3-expeyes (<< 4.3)
 Replaces: python-expeyes
 Description: Python3 library for expeyes
  This package provides low level interfaces for making science experiments
@@ -158,7 +157,6 @@
  avr-libc,
  avrdude
 Suggests: firm-phoenix-ware
-Conflicts: modemmanager, microhope-dbgsym(<<4.6.0-3)
 Description: hardware & software framework to learn microcontrollers
  This package provides a set of example programs to drive an ATmega32
  microcontroller, together with a tutorqial explaining how to compile
