=== debian/rules ===
--- 
+++ 
@@ -20,23 +20,25 @@
 %:
 	dh $@ --with python3
 
-HOME = $(CURDIR)/debian/build
+BUILD_DIR = $(CURDIR)/debian/build
 override_dh_auto_build-arch:
 	mkdir $(CURDIR)/debian/build
-	$(MAKE) all_arch HOME=$(HOME)
+	$(MAKE) all_arch HOME=$(BUILD_DIR)
 	rm -rf $(CURDIR)/debian/build
 
 override_dh_auto_build-indep:
 	$(MAKE) all_indep
+	cd eyes17/helpFiles; $(MAKE) fixTheLinks; $(MAKE) userManual
 
 override_dh_auto_clean:
 	dh_auto_clean
 	# the clean process compiles a few Python scripts
 	find . -name __pycache__ | xargs rm -rf
-	rm -rf $(HOME)
+	rm -rf $(BUILD_DIR)
+	# remove broken symlinks which can be in the source
+	find eyes17/helpFiles -xtype l | xargs rm -f
 
-DocDir = $(CURDIR)/debian/eyes17/usr/share/expeyes/doc
-DocDirSource = $(CURDIR)/ExpEYES17/UserManual
+DOCDIR_17 = debian/eyes17/usr/share/eyes17/doc
 
 override_dh_install:
 	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
@@ -44,9 +46,21 @@
 	dh_install
 	make -C po install DESTDIR=$(CURDIR)/debian/expeyes
 	make -C microhope/po install DESTDIR=$(CURDIR)/debian/microhope
-	# remove python files from helpFiles subdirectory
+	# remove python files .gitignore, and doctrees from helpFiles subdirectory
 	for d in $$(find $(CURDIR)/debian -type d -name helpFiles); do \
-	  for f in $$(find $$d -name '*.py'); do \
+	  for f in $$(find $$d -name '*.py' -o -name '.gitignore'); do \
 	    rm -f $$f; \
 	  done; \
+	  for f in $$(find $$d -type d -name 'doctrees'); do \
+	    rm -rf $$f; \
+	  done; \
 	done
+	# install eyes17 documents
+	for lang in en fr es ml; do \
+	  mkdir -p $(DOCDIR_17)/$${lang}; \
+	  for ext in pdf epub; do \
+	    cp $$(find eyes17/helpFiles/$${lang} -name expEYES-17.$${ext}) \
+	       $(DOCDIR_17)/$${lang}/eyes17.$${ext}; \
+	  done; \
+	done
+
