## expeyes 5.1.1+repack

=== eyes17/lang/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 DESTDIR =
-TS_FILES = $(shell ls *.ts)
+TS_FILES = $(wildcard *.ts)
 QM_FILES = $(patsubst %.ts, %.qm, $(TS_FILES))
-SOURCES = $(shell ls ../*py ../code/*.py)
-FORMS = $(shell ls ../layouts/*.ui)
+SOURCES = $(wildcard ../*py ../code/*.py)
+FORMS = $(wildcard ../layouts/*.ui)
+# pylupdate6 cannot tale a .pro file
 PYLUPDATE ?= pylupdate5
 export LANG=C
 
@@ -24,7 +25,9 @@
 clean:
 	rm -f *~ $(QM_FILES) eyes17.pro lrelease.log *.svg status.txt
 
-install:
+install: all
+	install -d $(DESTDIR)/usr/share/eyes17/lang
+	install -m 644 $(QM_FILES) status.txt $(DESTDIR)/usr/share/eyes17/lang
 
 .PHONY: all clean install
