=== debian/changelog ===
expeyes (5.1.1+repack-1) unstable; urgency=medium

  * New upstream version 5.1.1+repack
  * refreshed the debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Jul 2022 11:01:19 +0200

expeyes (5.1+repack-1) unstable; urgency=medium

  * New upstream version 5.1+repack
  * updated the debian patch

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 21 Jul 2022 15:53:57 +0200

expeyes (5.0+repack-3) experimental; urgency=medium

  * the package eyes17 does no longer ship user manuals,
    which will be built in a separate package: eyes17-manuals
  * modified the main Makefile to build no longer eyes17's user manuals

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 20 Jul 2022 19:30:56 +0200

expeyes (5.0+repack-2) experimental; urgency=medium

  * fixed the installation of manuals which does not work in test-build-any
  * moved python3-pyqtgraph to recommends.
  * added "Suggests: eyes17-manuals" (for a future package providing manuals)

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 20 Jul 2022 14:46:12 +0200

expeyes (5.0+repack-1) experimental; urgency=medium

  * New upstream version 5.0+repack
  * removed previous release's debian patches as they were applied upstream
  * fixed the generation of plain HTML files

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 19 Jul 2022 19:15:04 +0200

expeyes (4.99+repack-1) experimental; urgency=medium

  * New upstream version 4.99+repack
    + migration to Qt6 & non-exhaustive bug fixes
  * Added build-dependencies: locales, pyqt6-dev-tools, qmake6,
    python3-sphinx, texlive-binaries, texlive-xetex, texgyre, latexmk,
    dvipng, librsvg2-bin, graphicsmagick,
    texlive-fonts-recommended, texlive-fonts-extra, fonts-smc-rachana
  * Modified eyes17's dependencies, introducing new ones: python3-pyqt6,
    python3-pyqt6.qtwebchannel,  python3-pyqt6.qtwebengine,
    libqt6webenginecore6-bin,  python3-pyqt6.qtsvg, qt6-qpa-plugins
  * Bumped Standards-Version: 4.6.1
  * fixed the options for babel in prettyLatex.py
  * modified the way to convert PNG files to PDF (use `gm convert` now on)
  * fixed syntax errors in eyes17/RLCsteadystate.py
  

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Jul 2022 20:02:29 +0200

expeyes (4.9.2+repack-3) unstable; urgency=medium

  * fixed float values which were fed into QPoint's constructor

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 17 Jul 2022 18:25:34 +0200

expeyes (4.9.2+repack-2) unstable; urgency=medium

  * fixed layout issues for eyes17
  * fixed conflicts between packages expeyes and expeyes-doc-common

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 26 Mar 2022 18:57:41 +0100

expeyes (4.9.2+repack-1) unstable; urgency=medium

  * New upstream version 4.9.2+repack. Closes: #1006902

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 25 Mar 2022 11:43:24 +0100

expeyes (4.9.0+repack-1) UNRELEASED; urgency=medium

  * New upstream version 4.9.0+repack. Closes: #1006902
  * fixed debian/rules: erased a useless rm command
  * use img2pdf instead of imagemagick to convert images
  * bumped standards
  * modified install files, as dh_missing was complaining about many
    files incorrectly managed.
  * reorganized install files since binary packages for documents are no
    longer separated.

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 20 Mar 2022 19:00:05 +0100

expeyes (4.8.10+repack-1) UNRELEASED; urgency=medium

  * new upstream version: fixes eyes/*.py files to use Python3
    Closes: #1006902

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 19 Mar 2022 19:51:11 +0100
