=== debian/control ===
--- 
+++ 
@@ -2,24 +2,28 @@
 Section: science
 Priority: optional
 Maintainer: Georges Khaznadar <georgesk@debian.org>
-Build-Depends: debhelper-compat (=12),
+Build-Depends: debhelper-compat (=13),
  python3-all,
  dh-python,
  python3-docutils,
  pkg-config,
  wxglade,
- x11proto-randr-dev (>= 1.5.0),
+ x11proto-randr-dev,
+ pyqt6-dev-tools,
  pyqt5-dev-tools,
- qttools5-dev-tools,
- qt5-qmake
-Standards-Version: 4.5.0
+ qmake6,
+ img2pdf,
+ locales,
+Standards-Version: 4.6.1
 Homepage: http://expeyes.in/
 Vcs-Browser: https://salsa.debian.org/georgesk/expeyes
 Vcs-Git: https://salsa.debian.org/georgesk/expeyes.git
 
 Package: expeyes
 Architecture: all
-Depends: python3, ${misc:Depends}, ${python3:Depends},
+Depends: python3,
+ ${misc:Depends},
+ ${python3:Depends},
  python3-expeyes (= ${source:Version}),
  python3-pil.imagetk,
  tix,  python3-tk, udev
@@ -46,16 +50,20 @@
 Depends: python3,
  ${misc:Depends},
  ${python3:Depends},
- python3-pyqtgraph,
- python3-pyqt5,
- python3-pyqt5.qtwebkit,
+ python3-pyqt6,
  python3-numpy,
  python3-scipy,
- python3-pyqt5.qtwebengine,
- python3-pyqt5.qtsvg,
+ python3-pyqt6.qtwebchannel,
+ python3-pyqt6.qtwebengine,
+ libqt6webenginecore6-bin,
+ python3-pyqt6.qtsvg,
+ qt6-qpa-plugins,
  python3-serial
 Recommends: fonts-lohit-mlym,
+ python3-pyqtgraph,
  libreoffice
+Suggests:
+ eyes17-manuals-en|eyes17-manuals
 Conflicts: python3-expeyes (<< 4.5.8+dfsg-2),
  python-expeyes (<< 4.5.8+dfsg-2),
  eyes17 (<< 4.5.8+dfsg-2)
